## Apache Zeta Components Manual :: Docs For Class ezcExecutionException

### Execution::ezcExecutionException

### Class ezcExecutionException

General exception for use in ezcExecution class.

Source for this file: /Execution/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcExecutionException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcExecutionWrongClassException | Thrown when the passed classname does not represent a class that implements the ezcExecutionErrorHandler interface.
ezcExecutionNotInitializedException | Thrown when the Execution framework was not initialized when cleanExit() was called.
ezcExecutionAlreadyInitializedException | Thrown when the Execution framework was already initialized.
ezcExecutionInvalidCallbackException | Thrown when an non-existend class was passed as callback handler.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3